## org.exist.dom
Class NodeObjectPool

    java.lang.Object
      org.apache.commons.pool.BaseKeyedObjectPool
          org.apache.commons.pool.impl.StackKeyedObjectPool
              org.exist.dom.NodeObjectPool

All Implemented Interfaces:
  org.apache.commons.pool.KeyedObjectPool

public class NodeObjectPool
extends org.apache.commons.pool.impl.StackKeyedObjectPool

An object pool for reusable node objects. Usually, node objects are only held in memory for a short time. By reusing these objects, we can save many object creations.

Author:
  wolf

Constructor Summary
`NodeObjectPool()`

Method Summary
`NodeImpl` `borrowNode(java.lang.Class clazz)`
`static NodeObjectPool` `getInstance()`
`void` `returnNode(NodeImpl node)`

Methods inherited from class org.apache.commons.pool.impl.StackKeyedObjectPool
`addObject, borrowObject, clear, clear, close, getNumActive, getNumActive, getNumIdle, getNumIdle, invalidateObject, returnObject, setFactory, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeObjectPool

    public NodeObjectPool()

Method Detail

### getInstance

    public static final NodeObjectPool getInstance()

### borrowNode

    public NodeImpl borrowNode(java.lang.Class clazz)

### returnNode

    public void returnNode(NodeImpl node)

Copyright (C) Wolfgang Meier. All rights reserved.